Package fr.gouv.vitam.metadata.common.bulkatomicupdate

# Enum Class BulkUpdateUnitReportKey

java.lang.Object
java.lang.Enum<BulkUpdateUnitReportKey>
fr.gouv.vitam.metadata.common.bulkatomicupdate.BulkUpdateUnitReportKey

All Implemented Interfaces:
  `Serializable`, `Comparable<BulkUpdateUnitReportKey>`, `Constable`

public enum BulkUpdateUnitReportKey extends Enum<BulkUpdateUnitReportKey>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR_METADATA_UPDATE`
  `INVALID_DSL_QUERY`
  `TOO_MANY_UNITS_FOUND`
  `UNIT_NOT_FOUND`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `static BulkUpdateUnitReportKey`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BulkUpdateUnitReportKey[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INVALID_DSL_QUERY

    public static final BulkUpdateUnitReportKey INVALID_DSL_QUERY

  - ### UNIT_NOT_FOUND

    public static final BulkUpdateUnitReportKey UNIT_NOT_FOUND

  - ### TOO_MANY_UNITS_FOUND

    public static final BulkUpdateUnitReportKey TOO_MANY_UNITS_FOUND

  - ### ERROR_METADATA_UPDATE

    public static final BulkUpdateUnitReportKey ERROR_METADATA_UPDATE

- ## Method Details

  - ### values

    public static BulkUpdateUnitReportKey[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BulkUpdateUnitReportKey valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMessage

    public String getMessage()